Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Andreas K. Huettel" <dilfridge@g.o>
Subject: dev/dilfridge:master commit in: media-gfx/freecad/files/, media-gfx/freecad/
Date: Tue, 1 Mar 2011 21:28:52 +0000 (UTC)
commit:     af24e70089faf92adab0c54b540dea1a8687cacd
Author:     Andreas K. Huettel (dilfridge) <mail <AT> akhuettel <DOT> de>
AuthorDate: Tue Mar  1 21:29:57 2011 +0000
Commit:     Andreas K. Huettel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Tue Mar  1 21:29:57 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/dilfridge.git;a=commit;h=af24e700

[media-gfx/freecad] Version bump

(Portage version: 2.1.9.41/git/Linux x86_64, signed Manifest commit with key B6C5F7DE)

---
 media-gfx/freecad/ChangeLog                        |    8 ++-
 media-gfx/freecad/Manifest                         |   33 +++++-----
 .../freecad/files/freecad-0.11.3729-asneeded.patch |   12 ++++
 media-gfx/freecad/freecad-0.11.3729.ebuild         |   67 ++++++++++++++++++++
 4 files changed, 104 insertions(+), 16 deletions(-)

diff --git a/media-gfx/freecad/ChangeLog b/media-gfx/freecad/ChangeLog
index 4b4ce76..1f4c0f2 100644
--- a/media-gfx/freecad/ChangeLog
+++ b/media-gfx/freecad/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for media-gfx/freecad
-# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*freecad-0.11.3729 (01 Mar 2011)
+
+  01 Mar 2011; Andreas K. Huettel <dilfridge@g.o>
+  +freecad-0.11.3729.ebuild, +files/freecad-0.11.3729-asneeded.patch:
+  Version bump
+
   07 Nov 2010; Andreas K. Huettel <dilfridge@g.o>
   freecad-0.10.3205.ebuild, +files/freecad-0.10.3205-asneeded.patch:
   First working version

diff --git a/media-gfx/freecad/Manifest b/media-gfx/freecad/Manifest
index f38794d..1faf3d3 100644
--- a/media-gfx/freecad/Manifest
+++ b/media-gfx/freecad/Manifest
@@ -2,24 +2,27 @@
 Hash: SHA1
 
 AUX freecad-0.10.3205-asneeded.patch 588 RMD160 27fadb74f9f123fd0cc0092b57ae55369867a75b SHA1 9a1477d66b69448ae2cc3e81b2004f5f318a9e77 SHA256 43a1cd392bd05010cfe216f0afd688c8150ca2bc168fd0f776b3dc1e797e6876
+AUX freecad-0.11.3729-asneeded.patch 588 RMD160 27fadb74f9f123fd0cc0092b57ae55369867a75b SHA1 9a1477d66b69448ae2cc3e81b2004f5f318a9e77 SHA256 43a1cd392bd05010cfe216f0afd688c8150ca2bc168fd0f776b3dc1e797e6876
 DIST freecad-0.10.3205.tar.gz 12456726 RMD160 1cdad43b87f7edf1394bd13a56b5b7d515bf1e8f SHA1 0d2fb5265fc2b364e88112b0bbaf83655fe6f7d5 SHA256 7be5ab086d14f6da8863406199edb42ea773b728e414dd4c80ee3e2dbf69bc02
+DIST freecad-0.11.3729.tar.gz 16229615 RMD160 ac056ace72758d83dddfd075205bfeb81020df70 SHA1 fb683989e1a53a9292cc12940c98c41505124512 SHA256 94dcf25e6ae2934d7d23555e22a558643225a9809d443c898f096b39a1853261
 EBUILD freecad-0.10.3205.ebuild 1244 RMD160 ca5dd75f207749ca3d5e61db6e34191cd186320a SHA1 95b26e1615a8bd18b9a2c3457b43bc605ade3dcc SHA256 4bb3c4b0a27fa77beff2f71507ac47cd247cbf18b24aaee9e39efd20f7b1c284
-MISC ChangeLog 543 RMD160 54334fcbb61dfe84e095259f1bbc1c2cac8d9892 SHA1 786904285982525141a69b82de32564a34c6e187 SHA256 ae345da6cd2e338de86639d19e6cb38d06780a05897d8e337a8efecec44074ce
+EBUILD freecad-0.11.3729.ebuild 1332 RMD160 ddc650cf49e226a6d95c583d695fe2a6f48caa16 SHA1 b5d89534e3d2ad984872e6288dbbde58b0e77415 SHA256 3d548c879851a779e94843841552e4b387af36fa7dbb0e0f7ec5a02a2e2106e6
+MISC ChangeLog 720 RMD160 16f6989fd6847ce919a8a9619a9df935129da50e SHA1 1b0b488f866afb67677c4ddfda554c31c80582f0 SHA256 982ee88d33aa7c1a6faf9bc69ec839c6b86c2182deae686a93fc52c142271f62
 MISC metadata.xml 217 RMD160 aa960d9d3f7d900bcaf1a9413f17c3662adc0820 SHA1 a8a3016deab1f6aca4951ea86977cfe5d509b695 SHA256 756924c88548f738071c2d39fa7e18737b063e3b8f4376737eb88ac307571478
 -----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.16 (GNU/Linux)
+Version: GnuPG v2.0.17 (GNU/Linux)
 
-iQIcBAEBAgAGBQJM1x9+AAoJENwGBM22xffeuZkP/1WWN7tHzGluNPFrbFNzG0hj
-/s9xJ98PZvyGcDuUgpB+KZqif7BSxO22SSgGNsW8aY9ujoEpklINIaaqS4SD1EyK
-aPjJtqulFyx+ZwCWF+T9H/kWHrWrqUZShvminGYlhFG8+K35nqipbRMTrqehHTVA
-7y9cTcMaeIo6rKqobdj7EQhEcV2LHw3tHxNqFsMyHHJmmlHuT9G9W8WOb+D/QInZ
-0lqu2ZFvwsgBRhHLe0xoyDzAdP5UiZZYahqAFRtbAXDq89WcwmG8nqOCLNXcRM9B
-PmTa/KqvYsD7PrQ6WtMGMPOn6ykb9778nY8BKVNCZiFAeGcE5+O9nooc+/xgeZwD
-uNA3WteW3w+sa9tVeLgX5/Ag4eSSnO8j/mr/yXRX4W6fHVShniL6kXa1fViIFSod
-lJ2wO+sm4sX0l1J2gntFpMAHATTPSwbG3zx6oLWflglkFRRgbHXZUcS44GusF3pP
-eK1ApHzNTkEVnInZlO2T9iz2usXa5ZSUOpF0ZwBfXiNNETVdOuup9RV04j0HjYWw
-8XXXb2A38fGEe4RCbUYA4c4dLmsMK7/mvwMn5Uvuww1lWDn2urKaB5eLMskzcAy0
-GLz2bO7W2bOBrec8cFi6yW4JNaJwfK4StO7g8EB63W7WAXpDEI9eqhl3qtI/q2CE
-xze4dCdwT+BzCmV+A+4w
-=/HWu
+iQIcBAEBAgAGBQJNbWVVAAoJENwGBM22xffe21kQAKYU6xVpIX4IFhuIPJDHdu6C
+XuvNth99TSf45AeCpmjW4eRAGYsOi6XgV8d6eORg5y9oQGTgj8Wy+GVVwL5G8nMb
+3d+0tYAKUIcLx8hIdBmi/FuKFB0q6nMEPHbrESKTElXFOVzmnZzr/XlCh5o76DgI
+NUSbsSt17mo06iFEMNyc+A3SfNN3cJ0w+wMSEIj1nKbgZWGYd2AAPwgK6fx5jpRD
+QfHvJeLqphuIbKgM9yhFNFinw1hsNYQxv3fH5hj6BJh76szAsZfQHiDbR/nxqPuj
++Hms1RndBDfYsPXASdvYqK1wCfpFdV2Lvz3gUJiUI/HqvRAIE1fOqI5JuyUWfPXO
+idI7/t8o9f1fF3j+2aEtT/tCELiuW6w+wNfd4Z64Ihdc5zC3YHq02DAO9eHiHn7N
+nQ6Q5ppYVKR/Mmuf1S3stAnBBeSY+NNs/8YE3l1WodU1BL6D1lvSabGovjy4d1wy
+5CPONcjxCZ7e5RexvZhYZb4/zJWFcQgNlg2DR4ZmPhIf7iifoLG5bGaNhkW8KjLM
+Xq2NhLdOz93MD1Az3RWK28RJk4vvgmbXA957uziIxGaGT+87JGOpQa/T2AT7OiKU
+u4QhhIjoXwPrwXuwYv0V4w4BOD4cknefdz6ZM1nyQf8SMW8CVxoeqigGX+n66e2E
+B14jhkfO3rnMa/KVSN5i
+=CEXp
 -----END PGP SIGNATURE-----

diff --git a/media-gfx/freecad/files/freecad-0.11.3729-asneeded.patch b/media-gfx/freecad/files/freecad-0.11.3729-asneeded.patch
new file mode 100644
index 0000000..fa6ba66
--- /dev/null
+++ b/media-gfx/freecad/files/freecad-0.11.3729-asneeded.patch
@@ -0,0 +1,12 @@
+diff -ruN FreeCAD-0.10.3205.orig/acinclude.m4 FreeCAD-0.10.3205/acinclude.m4
+--- FreeCAD-0.10.3205.orig/acinclude.m4	2010-06-05 11:16:14.000000000 +0200
++++ FreeCAD-0.10.3205/acinclude.m4	2010-11-07 22:35:02.000000000 +0100
+@@ -374,7 +374,7 @@
+ fi
+ 
+ # Make sure not to link against X11 libs so that configure succeeds whithout xserver started
+-bnv_try_4="$CXX $fc_qt4_lib_core $LIBS -o myqt myqt.o moc_myqt.o"
++bnv_try_4="$CXX -o myqt myqt.o moc_myqt.o $LIBS $fc_qt4_lib_core"
+ AC_TRY_EVAL(bnv_try_4)
+ if test x"$ac_status" != x0; then
+    AC_MSG_ERROR([Failed to link with Qt, bye...])

diff --git a/media-gfx/freecad/freecad-0.11.3729.ebuild b/media-gfx/freecad/freecad-0.11.3729.ebuild
new file mode 100644
index 0000000..43cae2f
--- /dev/null
+++ b/media-gfx/freecad/freecad-0.11.3729.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+PYTHON_DEPEND=2
+
+inherit base multilib autotools python
+
+MY_P="freecad-${PV}"
+MY_PD="FreeCAD-${PV}"
+
+DESCRIPTION="QT based Computer Aided Design application"
+HOMEPAGE="http://sourceforge.net/apps/mediawiki/free-cad/"
+SRC_URI="mirror://sourceforge/free-cad/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	dev-cpp/eigen
+	dev-libs/boost
+	dev-libs/xerces-c
+	dev-python/PyQt4
+	media-libs/coin
+	media-libs/SoQt
+	>=sci-libs/opencascade-6.3-r3
+	sci-libs/gts
+	sys-devel/gcc[fortran]
+	sys-libs/zlib
+	x11-libs/qt-gui:4
+	x11-libs/qt-opengl:4
+	x11-libs/qt-svg:4
+	x11-libs/qt-webkit:4
+	x11-libs/qt-xmlpatterns:4
+"
+DEPEND="${RDEPEND}
+	dev-lang/swig"
+
+PATCHES=( "${FILESDIR}/${P}-asneeded.patch" )
+
+S="${WORKDIR}/${MY_PD}"
+
+pkg_setup() {
+	python_set_active_version 2
+}
+
+src_prepare() {
+	base_src_prepare
+	eautoreconf
+}
+
+src_configure() {
+	 econf \
+		--with-qt4-include="${EPREFIX}"/usr/include/qt4 \
+		--with-qt4-bin="${EPREFIX}"//usr/bin \
+		--with-qt4-lib="${EPREFIX}"//usr/$(get_libdir)/qt4 \
+		--with-occ-include=${CASROOT}/inc \
+		--with-occ-lib=${CASROOT}/lib
+}
+
+src_install() {
+	emake  DESTDIR="${D}" install || die "install failed"
+	dodoc README.Linux ChangeLog.txt || die
+}


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/portage:master commit in: pym/portage/dbapi/
Next by thread:
dev/dilfridge:master commit in: media-gfx/freecad/files/, media-gfx/freecad/
Previous by date:
proj/portage:master commit in: pym/portage/dbapi/
Next by date:
proj/perl-overlay:master commit in: dev-perl/Moose/


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.